Main Page | Class List | File List | Class Members | File Members | Related Pages

# soap_wsrm_sequence Struct Reference

Linked list of currently active message sequences. More...

`#include <wsrmapi.h>`

Collaboration diagram for soap_wsrm_sequence:

[legend]
List of all members.

## Public Attributes
soap_wsrm_sequence * | next
short | handle
const char * | id
const char * | acksid
const char * | to
const char * | acksto
time_t | expires
int | retry
enum wsrm__IncompleteSequenceBehaviorType | behavior
ULONG64 | num
ULONG64 | lastnum
enum wsrm__FaultCodes | fault
enum soap_wsrm_state | state
soap_wsrm_message * | messages
soap_wsrm_range * | ranges

## Detailed Description

Linked list of currently active message sequences.

## Member Data Documentation

const char* soap_wsrm_sequence::acksid

| sequence ID for ack requests (gen by source)

const char* soap_wsrm_sequence::acksto

| ack to endpoint

enum wsrm__IncompleteSequenceBehaviorType soap_wsrm_sequence::behavior

time_t soap_wsrm_sequence::expires

| date/time of expiration

enum wsrm__FaultCodes soap_wsrm_sequence::fault

| sequence fault (use when error)

short soap_wsrm_sequence::handle

| sequence in use by source (has a handle)

const char* soap_wsrm_sequence::id

| sequence ID (from dest)

ULONG64 soap_wsrm_sequence::lastnum

| last num received

struct soap_wsrm_message* soap_wsrm_sequence::messages

| stores msg content

struct soap_wsrm_sequence* soap_wsrm_sequence::next

| next sequence

ULONG64 soap_wsrm_sequence::num

| current message num

struct soap_wsrm_range* soap_wsrm_sequence::ranges

| ranges of received messages

int soap_wsrm_sequence::retry

| retry count

enum soap_wsrm_state soap_wsrm_sequence::state

| sequence state

const char* soap_wsrm_sequence::to

| to endpoint

The documentation for this struct was generated from the following file:

- /Users/engelen/Projects/gsoap/plugin/wsrmapi.h